[PATCH 8/8] Disable transparent huge pages in test suite

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Andi Kleen <ak@xxxxxxxxxxxxxxx>

This fixes the test suite on systems that force THP, because
the node hit accounting cannot deal with large pages.
---
 test/regress |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/test/regress b/test/regress
index 9737bd5..05eff5b 100755
--- a/test/regress
+++ b/test/regress
@@ -79,8 +79,8 @@ probe_hardware()
 
 # =========================================================================
 _test_process_state() {
-    echo '=>testing numactl' "$@" "memhog $SIZE"
-    numactl "$@" memhog $SIZE  || failed
+    echo '=>testing numactl' "$@" "memhog -H $SIZE"
+    numactl "$@" memhog -H $SIZE  || failed
 }
 
 test_process_state()
@@ -132,8 +132,8 @@ test_process_state()
 # test mbind
 
 _test_mbind() {
-	echo '=>testing memhog' "$@"
-	memhog $SIZE "$@" || failed
+	echo '=>testing memhog -H' "$@"
+	memhog -H $SIZE "$@" || failed
 }
 
 test_mbind()
-- 
1.7.5.4

--
To unsubscribe from this list: send the line "unsubscribe linux-numa" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel]     [Linux USB Devel]     [Video for Linux]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]     [Devices]

  Powered by Linux